# Class DriverSystemConfiguration

java.lang.Object
com.databricks.jdbc.model.telemetry.DriverSystemConfiguration

public class DriverSystemConfiguration extends Object

## Constructor Summary

Constructors
Constructor
Description
`DriverSystemConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getClientAppName()`
`DriverSystemConfiguration`
`setCharSetEncoding(String charSetEncoding)`
`DriverSystemConfiguration`
`setClientAppName(String clientAppName)`
`DriverSystemConfiguration`
`setDriverName(String driverName)`
`DriverSystemConfiguration`
`setDriverVersion(String driverVersion)`
`DriverSystemConfiguration`
`setLocaleName(String localeName)`
`DriverSystemConfiguration`
`setOsArch(String osArch)`
`DriverSystemConfiguration`
`setOsName(String osName)`
`DriverSystemConfiguration`
`setOsVersion(String osVersion)`
`DriverSystemConfiguration`
`setProcessName(String processName)`
`DriverSystemConfiguration`
`setRuntimeName(String runtimeName)`
`DriverSystemConfiguration`
`setRuntimeVendor(String runtimeVendor)`
`DriverSystemConfiguration`
`setRuntimeVersion(String runtimeVersion)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DriverSystemConfiguration

public DriverSystemConfiguration()

## Method Details

### getClientAppName

public String getClientAppName()

### setDriverName

public DriverSystemConfiguration setDriverName(String driverName)

### setDriverVersion

public DriverSystemConfiguration setDriverVersion(String driverVersion)

### setProcessName

public DriverSystemConfiguration setProcessName(String processName)

### setOsName

public DriverSystemConfiguration setOsName(String osName)

### setOsVersion

public DriverSystemConfiguration setOsVersion(String osVersion)

### setOsArch

public DriverSystemConfiguration setOsArch(String osArch)

### setRuntimeName

public DriverSystemConfiguration setRuntimeName(String runtimeName)

### setRuntimeVersion

public DriverSystemConfiguration setRuntimeVersion(String runtimeVersion)

### setRuntimeVendor

public DriverSystemConfiguration setRuntimeVendor(String runtimeVendor)

### setClientAppName

public DriverSystemConfiguration setClientAppName(String clientAppName)

### setLocaleName

public DriverSystemConfiguration setLocaleName(String localeName)

### setCharSetEncoding

public DriverSystemConfiguration setCharSetEncoding(String charSetEncoding)

### toString

public String toString()

Overrides:
  `toString` in class `Object`